curl --request PUT \
--url https://api.qovery.com/helm/{helmId}/customDomain/{customDomainId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "my.domain.tld",
"generate_certificate": true,
"use_cdn": true
}
'import requests
url = "https://api.qovery.com/helm/{helmId}/customDomain/{customDomainId}"
payload = {
"domain": "my.domain.tld",
"generate_certificate": True,
"use_cdn": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'my.domain.tld', generate_certificate: true, use_cdn: true})
};
fetch('https://api.qovery.com/helm/{helmId}/customDomain/{customDomainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"domain": "my.domain.tld",
"generate_certificate": true,
"updated_at": "2023-11-07T05:31:56Z",
"use_cdn": true,
"validation_domain": "<string>",
"status": "VALIDATION_PENDING"
}Edit a Custom Domain
To edit a Custom Domain you must have the project user permission
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Helm ID
Custom Domain ID
Body
your custom domain
"my.domain.tld"
to control if a certificate has to be generated for this custom domain by Qovery. The default value is true. This flag should be set to false if a CDN or other entities are managing the certificate for the specified domain and the traffic is proxied by the CDN to Qovery.
Indicates if the custom domain is behind a CDN (i.e Cloudflare). This will condition the way we are checking CNAME before & during a deployment:
- If
truethen we only check the domain points to an IP - If
falsethen we check that the domain resolves to the correct service Load Balancer
Response
Edit a CustomDomain
your custom domain
"my.domain.tld"
to control if a certificate has to be generated for this custom domain by Qovery. The default value is true. This flag should be set to false if a CDN or other entities are managing the certificate for the specified domain and the traffic is proxied by the CDN to Qovery.
Indicates if the custom domain is behind a CDN (i.e Cloudflare). This will condition the way we are checking CNAME before & during a deployment:
- If
truethen we only check the domain points to an IP - If
falsethen we check that the domain resolves to the correct service Load Balancer
URL provided by Qovery. You must create a CNAME on your DNS provider using that URL
VALIDATION_PENDING "VALIDATION_PENDING"
Was this page helpful?